package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ActivityGroupPO;
import mhp.oee.po.gen.ActivityGroupPOExample;

public interface ActivityGroupPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    int countByExample(ActivityGroupPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    int deleteByExample(ActivityGroupPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    int insert(ActivityGroupPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    int insertSelective(ActivityGroupPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    List<ActivityGroupPO> selectByExample(ActivityGroupPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    ActivityGroupPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ActivityGroupPO record, @Param("example") ActivityGroupPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ActivityGroupPO record, @Param("example") ActivityGroupPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ActivityGroupPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ActivityGroupPO record);
}